Update a contact
Update a contact's attributes
inbox_identifier*stringThe identifier obtained from API inbox channel
contact_identifier*stringThe source id of contact obtained on contact create
application/json- body
identifier?stringExternal identifier of the contact
identifier_hash?stringIdentifier hash prepared for HMAC authentication
email?stringEmail of the contact
name?stringName of the contact
phone_number?stringPhone number of the contact
avatar?fileSend the form data with the avatar image binary or use the avatar_url
binarycustom_attributes?Custom attributes of the customer
Success
application/json- response
Full serialized contact record returned when the public API renders a Contact model directly.
id?integerId of the contact
name?|Name of the contact when available
email?|Email of the contact
phone_number?|Phone number of the contact
identifier?|Identifier of the contact
blocked?booleanWhether the contact is blocked
additional_attributes?|Additional attributes of the contact when present
custom_attributes?|Custom attributes of the contact when present
contact_type?|Contact type of the contact when available
country_code?|Country code of the contact
last_activity_at?|Last activity timestamp of the contact in ISO 8601 format
created_at?|Created timestamp of the contact in ISO 8601 format
updated_at?|Updated timestamp of the contact in ISO 8601 format
last_name?|Last name of the contact
middle_name?|Middle name of the contact
location?|Location of the contact
account_id?integerAccount id of the contact
company_id?|Company id of the contact
label_list?array<string>Labels applied to the contact
[key: string]?anycurl -X PATCH 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "email": "string", "phone_number": "string", "identifier": "string", "blocked": true, "additional_attributes": {}, "custom_attributes": {}, "contact_type": "string", "country_code": "string", "last_activity_at": "string", "created_at": "string", "updated_at": "string", "last_name": "string", "middle_name": "string", "location": "string", "account_id": 0, "company_id": 0, "label_list": [ "string" ]}